"{ Encoding: utf8 }"

"{ Package: 'stx:libbasic' }"

"{ NameSpace: CharacterEncoderImplementations }"

SingleByteEncoder subclass:#MS_Cyrillic
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Text-Encodings'
!


!MS_Cyrillic class methodsFor:'mapping'!

mapFileURL2_relativePathName
    ^ 'CP1251'
!

mapping
"
# From: http://std.dkuug.dk/i18n/charmaps/CP1251

<code_set_name> CP1251
<comment_char> %
<escape_char> /
% version: 1.0
% repertoiremap: mnemonic,ds
%  source: UNICODE 1.0

% alias MS-CYRL
CHARMAP
<NU>                   /x00   <U0000> NULL (NUL)
<SH>                   /x01   <U0001> START OF HEADING (SOH)
<SX>                   /x02   <U0002> START OF TEXT (STX)
<EX>                   /x03   <U0003> END OF TEXT (ETX)
<ET>                   /x04   <U0004> END OF TRANSMISSION (EOT)
<EQ>                   /x05   <U0005> ENQUIRY (ENQ)
<AK>                   /x06   <U0006> ACKNOWLEDGE (ACK)
<BL>                   /x07   <U0007> BELL (BEL)
<BS>                   /x08   <U0008> BACKSPACE (BS)
<HT>                   /x09   <U0009> CHARACTER TABULATION (HT)
<LF>                   /x0A   <U000A> LINE FEED (LF)
<VT>                   /x0B   <U000B> LINE TABULATION (VT)
<FF>                   /x0C   <U000C> FORM FEED (FF)
<CR>                   /x0D   <U000D> CARRIAGE RETURN (CR)
<SO>                   /x0E   <U000E> SHIFT OUT (SO)
<SI>                   /x0F   <U000F> SHIFT IN (SI)
<DL>                   /x10   <U0010> DATALINK ESCAPE (DLE)
<D1>                   /x11   <U0011> DEVICE CONTROL ONE (DC1)
<D2>                   /x12   <U0012> DEVICE CONTROL TWO (DC2)
<D3>                   /x13   <U0013> DEVICE CONTROL THREE (DC3)
<D4>                   /x14   <U0014> DEVICE CONTROL FOUR (DC4)
<NK>                   /x15   <U0015> NEGATIVE ACKNOWLEDGE (NAK)
<SY>                   /x16   <U0016> SYNCHRONOUS IDLE (SYN)
<EB>                   /x17   <U0017> END OF TRANSMISSION BLOCK (ETB)
<CN>                   /x18   <U0018> CANCEL (CAN)
<EM>                   /x19   <U0019> END OF MEDIUM (EM)
<SB>                   /x1A   <U001A> SUBSTITUTE (SUB)
<EC>                   /x1B   <U001B> ESCAPE (ESC)
<FS>                   /x1C   <U001C> FILE SEPARATOR (IS4)
<GS>                   /x1D   <U001D> GROUP SEPARATOR (IS3)
<RS>                   /x1E   <U001E> RECORD SEPARATOR (IS2)
<US>                   /x1F   <U001F> UNIT SEPARATOR (IS1)
<SP>                   /x20   <U0020> SPACE
<!!>                    /x21   <U0021> EXCLAMATION MARK
<'>                    /x22   <U0022> QUOTATION MARK
<Nb>                   /x23   <U0023> NUMBER SIGN
<DO>                   /x24   <U0024> DOLLAR SIGN
<%>                    /x25   <U0025> PERCENT SIGN
<&>                    /x26   <U0026> AMPERSAND
<'>                    /x27   <U0027> APOSTROPHE
<(>                    /x28   <U0028> LEFT PARENTHESIS
<)>                    /x29   <U0029> RIGHT PARENTHESIS
<*>                    /x2A   <U002A> ASTERISK
<+>                    /x2B   <U002B> PLUS SIGN
<,>                    /x2C   <U002C> COMMA
<->                    /x2D   <U002D> HYPHEN-MINUS
<.>                    /x2E   <U002E> FULL STOP
<//>                   /x2F   <U002F> SOLIDUS
<0>                    /x30   <U0030> DIGIT ZERO
<1>                    /x31   <U0031> DIGIT ONE
<2>                    /x32   <U0032> DIGIT TWO
<3>                    /x33   <U0033> DIGIT THREE
<4>                    /x34   <U0034> DIGIT FOUR
<5>                    /x35   <U0035> DIGIT FIVE
<6>                    /x36   <U0036> DIGIT SIX
<7>                    /x37   <U0037> DIGIT SEVEN
<8>                    /x38   <U0038> DIGIT EIGHT
<9>                    /x39   <U0039> DIGIT NINE
<:>                    /x3A   <U003A> COLON
<;>                    /x3B   <U003B> SEMICOLON
<<>                    /x3C   <U003C> LESS-THAN SIGN
<=>                    /x3D   <U003D> EQUALS SIGN
</>>                   /x3E   <U003E> GREATER-THAN SIGN
<?>                    /x3F   <U003F> QUESTION MARK
<At>                   /x40   <U0040> COMMERCIAL AT
<A>                    /x41   <U0041> LATIN CAPITAL LETTER A
<B>                    /x42   <U0042> LATIN CAPITAL LETTER B
<C>                    /x43   <U0043> LATIN CAPITAL LETTER C
<D>                    /x44   <U0044> LATIN CAPITAL LETTER D
<E>                    /x45   <U0045> LATIN CAPITAL LETTER E
<F>                    /x46   <U0046> LATIN CAPITAL LETTER F
<G>                    /x47   <U0047> LATIN CAPITAL LETTER G
<H>                    /x48   <U0048> LATIN CAPITAL LETTER H
<I>                    /x49   <U0049> LATIN CAPITAL LETTER I
<J>                    /x4A   <U004A> LATIN CAPITAL LETTER J
<K>                    /x4B   <U004B> LATIN CAPITAL LETTER K
<L>                    /x4C   <U004C> LATIN CAPITAL LETTER L
<M>                    /x4D   <U004D> LATIN CAPITAL LETTER M
<N>                    /x4E   <U004E> LATIN CAPITAL LETTER N
<O>                    /x4F   <U004F> LATIN CAPITAL LETTER O
<P>                    /x50   <U0050> LATIN CAPITAL LETTER P
<Q>                    /x51   <U0051> LATIN CAPITAL LETTER Q
<R>                    /x52   <U0052> LATIN CAPITAL LETTER R
<S>                    /x53   <U0053> LATIN CAPITAL LETTER S
<T>                    /x54   <U0054> LATIN CAPITAL LETTER T
<U>                    /x55   <U0055> LATIN CAPITAL LETTER U
<V>                    /x56   <U0056> LATIN CAPITAL LETTER V
<W>                    /x57   <U0057> LATIN CAPITAL LETTER W
<X>                    /x58   <U0058> LATIN CAPITAL LETTER X
<Y>                    /x59   <U0059> LATIN CAPITAL LETTER Y
<Z>                    /x5A   <U005A> LATIN CAPITAL LETTER Z
<<(>                   /x5B   <U005B> LEFT SQUARE BRACKET
<////>                 /x5C   <U005C> REVERSE SOLIDUS
<)/>>                  /x5D   <U005D> RIGHT SQUARE BRACKET
<'/>>                  /x5E   <U005E> CIRCUMFLEX ACCENT
<_>                    /x5F   <U005F> LOW LINE
<'!!>                   /x60   <U0060> GRAVE ACCENT
<a>                    /x61   <U0061> LATIN SMALL LETTER A
<b>                    /x62   <U0062> LATIN SMALL LETTER B
<c>                    /x63   <U0063> LATIN SMALL LETTER C
<d>                    /x64   <U0064> LATIN SMALL LETTER D
<e>                    /x65   <U0065> LATIN SMALL LETTER E
<f>                    /x66   <U0066> LATIN SMALL LETTER F
<g>                    /x67   <U0067> LATIN SMALL LETTER G
<h>                    /x68   <U0068> LATIN SMALL LETTER H
<i>                    /x69   <U0069> LATIN SMALL LETTER I
<j>                    /x6A   <U006A> LATIN SMALL LETTER J
<k>                    /x6B   <U006B> LATIN SMALL LETTER K
<l>                    /x6C   <U006C> LATIN SMALL LETTER L
<m>                    /x6D   <U006D> LATIN SMALL LETTER M
<n>                    /x6E   <U006E> LATIN SMALL LETTER N
<o>                    /x6F   <U006F> LATIN SMALL LETTER O
<p>                    /x70   <U0070> LATIN SMALL LETTER P
<q>                    /x71   <U0071> LATIN SMALL LETTER Q
<r>                    /x72   <U0072> LATIN SMALL LETTER R
<s>                    /x73   <U0073> LATIN SMALL LETTER S
<t>                    /x74   <U0074> LATIN SMALL LETTER T
<u>                    /x75   <U0075> LATIN SMALL LETTER U
<v>                    /x76   <U0076> LATIN SMALL LETTER V
<w>                    /x77   <U0077> LATIN SMALL LETTER W
<x>                    /x78   <U0078> LATIN SMALL LETTER X
<y>                    /x79   <U0079> LATIN SMALL LETTER Y
<z>                    /x7A   <U007A> LATIN SMALL LETTER Z
<(!!>                   /x7B   <U007B> LEFT CURLY BRACKET
<!!!!>                   /x7C   <U007C> VERTICAL LINE
<!!)>                   /x7D   <U007D> RIGHT CURLY BRACKET
<'?>                   /x7E   <U007E> TILDE
<DT>                   /x7F   <U007F> DELETE (DEL)
<D%>                   /x80   <U0402> CYRILLIC CAPITAL LETTER DJE (Serbocroatian)
<G%>                   /x81   <U0403> CYRILLIC CAPITAL LETTER GJE
<.9>                   /x82   <U201A> SINGLE LOW-9 QUOTATION MARK
<g%>                   /x83   <U0453> CYRILLIC SMALL LETTER GJE
<:9>                   /x84   <U201E> DOUBLE LOW-9 QUOTATION MARK
<.3>                   /x85   <U2026> HORIZONTAL ELLIPSIS
<//->                  /x86   <U2020> DAGGER
<//=>                  /x87   <U2021> DOUBLE DAGGER
<%0>                   /x89   <U2030> PER MILLE SIGN
<LJ>                   /x8A   <U0409> CYRILLIC CAPITAL LETTER LJE
<<1>                   /x8B   <U2039> SINGLE LEFT-POINTING ANGLE QUOTATION MARK
<NJ>                   /x8C   <U040A> CYRILLIC CAPITAL LETTER NJE
<KJ>                   /x8D   <U040C> CYRILLIC CAPITAL LETTER KJE
<Ts>                   /x8E   <U040B> CYRILLIC CAPITAL LETTER TSHE (Serbocroatian)
<DZ>                   /x8F   <U040F> CYRILLIC CAPITAL LETTER DZHE
<d%>                   /x90   <U0452> CYRILLIC SMALL LETTER DJE (Serbocroatian)
<'6>                   /x91   <U2018> LEFT SINGLE QUOTATION MARK
<'9>                   /x92   <U2019> RIGHT SINGLE QUOTATION MARK
<'6>                   /x93   <U201C> LEFT DOUBLE QUOTATION MARK
<'9>                   /x94   <U201D> RIGHT DOUBLE QUOTATION MARK
<sb>                   /x95   <U2022> BULLET
<-N>                   /x96   <U2013> EN DASH
<-M>                   /x97   <U2014> EM DASH
<TM>                   /x99   <U2122> TRADE MARK SIGN
<lj>                   /x9A   <U0459> CYRILLIC SMALL LETTER LJE
</>1>                  /x9B   <U203A> SINGLE RIGHT-POINTING ANGLE QUOTATION MARK
<nj>                   /x9C   <U045A> CYRILLIC SMALL LETTER NJE
<kj>                   /x9D   <U045C> CYRILLIC SMALL LETTER KJE
<ts>                   /x9E   <U045B> CYRILLIC SMALL LETTER TSHE (Serbocroatian)
<dz>                   /x9F   <U045F> CYRILLIC SMALL LETTER DZHE
<NS>                   /xA0   <U00A0> NO-BREAK SPACE
<V%>                   /xA1   <U040E> CYRILLIC CAPITAL LETTER SHORT U (Byelorussian)
<v%>                   /xA2   <U045E> CYRILLIC SMALL LETTER SHORT U (Byelorussian)
<J%>                   /xA3   <U0408> CYRILLIC CAPITAL LETTER JE
<Cu>                   /xA4   <U00A4> CURRENCY SIGN
<G3>                   /xA5   <U0490> CYRILLIC CAPITAL LETTER GHE WITH UPTURN
<BB>                   /xA6   <U00A6> BROKEN BAR
<SE>                   /xA7   <U00A7> SECTION SIGN
<IO>                   /xA8   <U0401> CYRILLIC CAPITAL LETTER IO
<Co>                   /xA9   <U00A9> COPYRIGHT SIGN
<IE>                   /xAA   <U0404> CYRILLIC CAPITAL LETTER UKRAINIAN IE
<<<>                   /xAB   <U00AB> LEFT-POINTING DOUBLE ANGLE QUOTATION MARK
<NO>                   /xAC   <U00AC> NOT SIGN
<-->                   /xAD   <U00AD> SOFT HYPHEN
<Rg>                   /xAE   <U00AE> REGISTERED SIGN
<YI>                   /xAF   <U0407> CYRILLIC CAPITAL LETTER YI (Ukrainian)
<DG>                   /xB0   <U00B0> DEGREE SIGN
<+->                   /xB1   <U00B1> PLUS-MINUS SIGN
<II>                   /xB2   <U0406> CYRILLIC CAPITAL LETTER BYELORUSSIAN-UKRAINIAN I
<ii>                   /xB3   <U0456> CYRILLIC SMALL LETTER BYELORUSSIAN-UKRAINIAN I
<g3>                   /xB4   <U0491> CYRILLIC SMALL LETTER GHE WITH UPTURN
<My>                   /xB5   <U00B5> MICRO SIGN
<PI>                   /xB6   <U00B6> PILCROW SIGN
<.M>                   /xB7   <U00B7> MIDDLE DOT
<io>                   /xB8   <U0451> CYRILLIC SMALL LETTER IO
<N0>                   /xB9   <U2116> NUMERO SIGN
<ie>                   /xBA   <U0454> CYRILLIC SMALL LETTER UKRAINIAN IE
</>/>>                 /xBB   <U00BB> RIGHT-POINTING DOUBLE ANGLE QUOTATION MARK
<j%>                   /xBC   <U0458> CYRILLIC SMALL LETTER JE
<DS>                   /xBD   <U0405> CYRILLIC CAPITAL LETTER DZE
<ds>                   /xBE   <U0455> CYRILLIC SMALL LETTER DZE
<yi>                   /xBF   <U0457> CYRILLIC SMALL LETTER YI (Ukrainian)
<A=>                   /xC0   <U0410> CYRILLIC CAPITAL LETTER A
<B=>                   /xC1   <U0411> CYRILLIC CAPITAL LETTER BE
<V=>                   /xC2   <U0412> CYRILLIC CAPITAL LETTER VE
<G=>                   /xC3   <U0413> CYRILLIC CAPITAL LETTER GHE
<D=>                   /xC4   <U0414> CYRILLIC CAPITAL LETTER DE
<E=>                   /xC5   <U0415> CYRILLIC CAPITAL LETTER IE
<Z%>                   /xC6   <U0416> CYRILLIC CAPITAL LETTER ZHE
<Z=>                   /xC7   <U0417> CYRILLIC CAPITAL LETTER ZE
<I=>                   /xC8   <U0418> CYRILLIC CAPITAL LETTER I
<J=>                   /xC9   <U0419> CYRILLIC CAPITAL LETTER SHORT I
<K=>                   /xCA   <U041A> CYRILLIC CAPITAL LETTER KA
<L=>                   /xCB   <U041B> CYRILLIC CAPITAL LETTER EL
<M=>                   /xCC   <U041C> CYRILLIC CAPITAL LETTER EM
<N=>                   /xCD   <U041D> CYRILLIC CAPITAL LETTER EN
<O=>                   /xCE   <U041E> CYRILLIC CAPITAL LETTER O
<P=>                   /xCF   <U041F> CYRILLIC CAPITAL LETTER PE
<R=>                   /xD0   <U0420> CYRILLIC CAPITAL LETTER ER
<S=>                   /xD1   <U0421> CYRILLIC CAPITAL LETTER ES
<T=>                   /xD2   <U0422> CYRILLIC CAPITAL LETTER TE
<U=>                   /xD3   <U0423> CYRILLIC CAPITAL LETTER U
<F=>                   /xD4   <U0424> CYRILLIC CAPITAL LETTER EF
<H=>                   /xD5   <U0425> CYRILLIC CAPITAL LETTER HA
<C=>                   /xD6   <U0426> CYRILLIC CAPITAL LETTER TSE
<C%>                   /xD7   <U0427> CYRILLIC CAPITAL LETTER CHE
<S%>                   /xD8   <U0428> CYRILLIC CAPITAL LETTER SHA
<Sc>                   /xD9   <U0429> CYRILLIC CAPITAL LETTER SHCHA
<='>                   /xDA   <U042A> CYRILLIC CAPITAL LETTER HARD SIGN
<Y=>                   /xDB   <U042B> CYRILLIC CAPITAL LETTER YERU
<%'>                   /xDC   <U042C> CYRILLIC CAPITAL LETTER SOFT SIGN
<JE>                   /xDD   <U042D> CYRILLIC CAPITAL LETTER E
<JU>                   /xDE   <U042E> CYRILLIC CAPITAL LETTER YU
<JA>                   /xDF   <U042F> CYRILLIC CAPITAL LETTER YA
<a=>                   /xE0   <U0430> CYRILLIC SMALL LETTER A
<b=>                   /xE1   <U0431> CYRILLIC SMALL LETTER BE
<v=>                   /xE2   <U0432> CYRILLIC SMALL LETTER VE
<g=>                   /xE3   <U0433> CYRILLIC SMALL LETTER GHE
<d=>                   /xE4   <U0434> CYRILLIC SMALL LETTER DE
<e=>                   /xE5   <U0435> CYRILLIC SMALL LETTER IE
<z%>                   /xE6   <U0436> CYRILLIC SMALL LETTER ZHE
<z=>                   /xE7   <U0437> CYRILLIC SMALL LETTER ZE
<i=>                   /xE8   <U0438> CYRILLIC SMALL LETTER I
<j=>                   /xE9   <U0439> CYRILLIC SMALL LETTER SHORT I
<k=>                   /xEA   <U043A> CYRILLIC SMALL LETTER KA
<l=>                   /xEB   <U043B> CYRILLIC SMALL LETTER EL
<m=>                   /xEC   <U043C> CYRILLIC SMALL LETTER EM
<n=>                   /xED   <U043D> CYRILLIC SMALL LETTER EN
<o=>                   /xEE   <U043E> CYRILLIC SMALL LETTER O
<p=>                   /xEF   <U043F> CYRILLIC SMALL LETTER PE
<r=>                   /xF0   <U0440> CYRILLIC SMALL LETTER ER
<s=>                   /xF1   <U0441> CYRILLIC SMALL LETTER ES
<t=>                   /xF2   <U0442> CYRILLIC SMALL LETTER TE
<u=>                   /xF3   <U0443> CYRILLIC SMALL LETTER U
<f=>                   /xF4   <U0444> CYRILLIC SMALL LETTER EF
<h=>                   /xF5   <U0445> CYRILLIC SMALL LETTER HA
<c=>                   /xF6   <U0446> CYRILLIC SMALL LETTER TSE
<c%>                   /xF7   <U0447> CYRILLIC SMALL LETTER CHE
<s%>                   /xF8   <U0448> CYRILLIC SMALL LETTER SHA
<sc>                   /xF9   <U0449> CYRILLIC SMALL LETTER SHCHA
<='>                   /xFA   <U044A> CYRILLIC SMALL LETTER HARD SIGN
<y=>                   /xFB   <U044B> CYRILLIC SMALL LETTER YERU
<%'>                   /xFC   <U044C> CYRILLIC SMALL LETTER SOFT SIGN
<je>                   /xFD   <U044D> CYRILLIC SMALL LETTER E
<ju>                   /xFE   <U044E> CYRILLIC SMALL LETTER YU
<ja>                   /xFF   <U044F> CYRILLIC SMALL LETTER YA
END CHARMAP

"
! !

!MS_Cyrillic class methodsFor:'queries'!

namesOfEncoding
    ^ #( 'ms-cyrillic' 'ms-cp1251' 'microsoft-cp1251' 'cp1251' 'microsoft-cyrillic' 'windows-1251'  )
!

userFriendlyNameOfEncoding
    ^ 'Cyrillic'
! !

!MS_Cyrillic class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/Attic/Encoder_MS_Cyrillic.st,v 1.1 2004-03-05 17:18:50 cg Exp $'
! !
